%?mingw_package_header

%global qt_module qtquickcontrols2
#global pre beta

#global commit 9f085b889524a80d4064d6ac01dbdc817bb31060
#global shortcommit %(c=%{commit}; echo ${c:0:7})

%if 0%{?commit:1}
%global source_folder %{qt_module}-%{commit}
%else
%global source_folder %{qt_module}-everywhere-src-%{version}%{?pre:-%{pre}}
%endif

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-qt6-%{qt_module}
Version:        6.1.2
Release:        1%{?dist}
Summary:        Qt6 for Windows - QtQuickControls2 component

License:        GPLv3 with exceptions or LGPLv2 with exceptions
URL:            http://qt.io/

%if 0%{?commit:1}
Source0:        https://github.com/qt/%{qt_module}/archive/%{commit}/%{qt_module}-everywhere-src-%{commit}.tar.gz
%else
Source0:        http://download.qt.io/%{?pre:development}%{?!pre:official}_releases/qt/%{release_version}/%{version}%{?pre:-%pre}/submodules/%{qt_module}-everywhere-src-%{version}%{?pre:-%pre}.tar.xz
%endif

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt6-qtbase = %{version}
BuildRequires:  mingw32-qt6-qtdeclarative = %{version}

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt6-qtbase = %{version}
BuildRequires:  mingw64-qt6-qtdeclarative = %{version}


%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt6-%{qt_module}
Summary:        Qt6 for Windows - QtQuickControls2 component
Requires:       mingw32-qt6-qtdeclarative

%description -n mingw32-qt6-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

# Win64
%package -n mingw64-qt6-%{qt_module}
Summary:        Qt6 for Windows - QtQuickControls2 component
Requires:       mingw64-qt6-qtdeclarative

%description -n mingw64-qt6-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{source_folder}


%build
%mingw_cmake -GNinja -DCMAKE_BUILD_TYPE=RelWithDebInfo
%mingw_ninja


%install
%mingw_ninja_install


# Win32
%files -n mingw32-qt6-%{qt_module}
%license LICENSE.LGPL* LICENSE.GPL*
%{mingw32_bindir}/Qt6QuickControls2.dll
%{mingw32_bindir}/Qt6QuickControls2Impl.dll
%{mingw32_bindir}/Qt6QuickTemplates2.dll
%{mingw32_datadir}/qt6/modules/QuickControls2Impl.json
%{mingw32_datadir}/qt6/modules/QuickControls2.json
%{mingw32_datadir}/qt6/modules/QuickTemplates2.json
%{mingw32_includedir}/qt6/QtQuickControls2/
%{mingw32_includedir}/qt6/QtQuickControls2Impl/
%{mingw32_includedir}/qt6/QtQuickTemplates2/
%{mingw32_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtQuickControls2TestsConfig.cmake
%{mingw32_libdir}/cmake/Qt6Qml/QmlPlugins/
%{mingw32_libdir}/cmake/Qt6QuickControls2/
%{mingw32_libdir}/cmake/Qt6QuickControls2Impl/
%{mingw32_libdir}/cmake/Qt6QuickTemplates2/
%{mingw32_libdir}/libQt6QuickControls2.dll.a
%{mingw32_libdir}/libQt6QuickControls2Impl.dll.a
%{mingw32_libdir}/libQt6QuickTemplates2.dll.a
%{mingw32_libdir}/metatypes/qt6qtlabsplatformplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2basicstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2basicstyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2fusionstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2fusionstyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2imaginestyleimplplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2imaginestyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2materialstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2materialstyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2nativestyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2universalstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2universalstyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qtquickcontrols2windowsstyleplugin_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quickcontrols2impl_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quickcontrols2_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quicktemplates2_relwithdebinfo_metatypes.json
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2impl.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2impl_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quicktemplates2.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{mingw32_libdir}/qt6/qml/Qt/labs/platform/
%{mingw32_libdir}/qt6/qml/QtQuick/Controls/
%{mingw32_libdir}/qt6/qml/QtQuick/NativeStyle/
%{mingw32_libdir}/qt6/qml/QtQuick/Templates/
%{mingw32_libdir}/Qt6QuickControls2Impl.prl
%{mingw32_libdir}/Qt6QuickControls2.prl
%{mingw32_libdir}/Qt6QuickTemplates2.prl

# Win64
%files -n mingw64-qt6-%{qt_module}
%license LICENSE.LGPL* LICENSE.GPL*
%{mingw64_bindir}/Qt6QuickControls2.dll
%{mingw64_bindir}/Qt6QuickControls2Impl.dll
%{mingw64_bindir}/Qt6QuickTemplates2.dll
%{mingw64_datadir}/qt6/modules/QuickControls2Impl.json
%{mingw64_datadir}/qt6/modules/QuickControls2.json
%{mingw64_datadir}/qt6/modules/QuickTemplates2.json
%{mingw64_includedir}/qt6/QtQuickControls2/
%{mingw64_includedir}/qt6/QtQuickControls2Impl/
%{mingw64_includedir}/qt6/QtQuickTemplates2/
%{mingw64_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtQuickControls2TestsConfig.cmake
%{mingw64_libdir}/cmake/Qt6Qml/QmlPlugins/
%{mingw64_libdir}/cmake/Qt6QuickControls2/
%{mingw64_libdir}/cmake/Qt6QuickControls2Impl/
%{mingw64_libdir}/cmake/Qt6QuickTemplates2/
%{mingw64_libdir}/libQt6QuickControls2.dll.a
%{mingw64_libdir}/libQt6QuickControls2Impl.dll.a
%{mingw64_libdir}/libQt6QuickTemplates2.dll.a
%{mingw64_libdir}/metatypes/qt6qtlabsplatformplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2basicstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2basicstyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2fusionstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2fusionstyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2imaginestyleimplplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2imaginestyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2materialstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2materialstyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2nativestyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2universalstyleimplplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2universalstyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qtquickcontrols2windowsstyleplugin_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quickcontrols2impl_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quickcontrols2_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quicktemplates2_relwithdebinfo_metatypes.json
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2impl.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2impl_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quicktemplates2.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{mingw64_libdir}/qt6/qml/Qt/labs/platform/
%{mingw64_libdir}/qt6/qml/QtQuick/Controls/
%{mingw64_libdir}/qt6/qml/QtQuick/NativeStyle/
%{mingw64_libdir}/qt6/qml/QtQuick/Templates/
%{mingw64_libdir}/Qt6QuickControls2Impl.prl
%{mingw64_libdir}/Qt6QuickControls2.prl
%{mingw64_libdir}/Qt6QuickTemplates2.prl


%changelog
* Sat Aug 14 2021 Sandro Mani <manisandro@gmail.com> - 6.1.2-1
- Update to 6.1.2

* Mon Aug 09 2021 Sandro Mani <manisandro@gmail.com> - 6.1.1-2
- Fix unowned dir

* Mon Jul 12 2021 Sandro Mani <manisandro@gmail.com> - 6.1.1-1
- Initial package
